# QuickBBEE 


# Overview

``QuickBBEE`` is a python library created for our 2nd year in computer sciences bachelor project. This package enables faster calculations of EE and BB spectra, leveraging models trained on data generated by CAMB. Basically, the ultimate goal of ``QuickBBEE`` is to generate EE and BB spectra like CAMB, but faster, using a trained Neural Network model we created using [cosmopower](https://github.com/alessiospuriomancini/cosmopower).


# Installation

We recommend installing [bbee.py](bbee.py) within a [Conda](https://docs.conda.io/projects/conda/en/latest/index.html) virtual environment. 
For example, to create and activate an environment called ``cp_env``, use:

    conda create -n cp_env python=3.7 pip && conda activate cp_env

Once inside the environment, you can install [bbee.py](bbee.py):

- **from PyPI** 

        pip install quickbbee

    To test the installation, you can use

        python3 -c 'import quickbbee as quick'


- **from source**

        git clone https://github.com/jusdelio/QuickBBEE
        cd quickbbee
        pip install -e .

    To test the installation, you can use

        pytest

If you are interested in how we trained the two models, follow this [link](https://github.com/jusdelio/QuickBBEE/blob/main/quickbbee/EE_BB_models/README.md) 
